package org.springblade.yeePay.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: lianghanqiang
 * @description: 易宝开通的产品列表
 * @since: 9/29/21 -- 11:48 AM
 */
@Getter
@AllArgsConstructor
public enum YeepayProduct {
	USER_SCAN_WECHAT_OFFLINE("用户扫码_微信_线下"),
	USER_SCAN_WECHAT_ONLINE("用户扫码_微信_线上"),
	USER_SCAN_ALIPAY_OFFLINE("用户扫码_支付宝_线下"),
	MERCHANT_SCAN_WECHAT_OFFLINE("商家扫码_微信_线下"),
	MERCHANT_SCAN_ALIPAY_OFFLINE("商家扫码_支付宝_线下"),
	WECHAT_OFFIACCOUNT_WECHAT_OFFLINE("公众号支付_微信_线下"),
	WECHAT_OFFIACCOUNT_WECHAT_ONLINE("公众号支付_微信_线上"),
	ALIPAY_LIFE_ALIPAY_OFFLINE("生活号支付_支付宝_线下"),
	MINI_PROGRAM_WECHAT_OFFLINE("小程序支付_微信_线下"),
	MINI_PROGRAM_WECHAT_ONLINE("小程序支付_微信_线上"),
	MINI_PROGRAM_ALIPAY_OFFLINE("小程序支付_支付宝_线下"),
	SDK_PAY_WECHAT_OFFLINE("SDK支付_微信_特费版"),
	SDK_PAY_WECHAT_ONLINE("SDK支付_微信_标准版"),
	STATICQR_UNIONPAY_CREDIT("静态台牌_银联_贷记卡"),
	STATICQR_UNIONPAY_DEBIT("静态台牌_银联_借记卡"),
	STATICQR_ALIPAY_OFFLINE("静态台牌_支付宝_线下"),
	STATICQR_WECHAT_OFFLINE("静态台牌_微信_线下"),
	USER_SCAN_UNIONPAY_CREDIT("用户扫码_银联_贷记卡"),
	USER_SCAN_UNIONPAY_DEBIT("用户扫码_银联_借记卡"),
	MERCHANT_SCAN_UNIONPAY_CREDIT("商家扫码_银联_贷记卡"),
	MERCHANT_SCAN_UNIONPAY_DEBIT("商家扫码_银联_借记卡"),
	H5_PAY_UNIONPAY_DEBIT("H5支付_银联_借记卡"),
	H5_PAY_UNIONPAY_CREDIT("H5支付_银联_贷记卡"),
	JS_PAY_UNIONPAY_CREDIT("JS支付_银联_贷记卡"),
	JS_PAY_UNIONPAY_DEBIT("JS支付_银联_借记卡"),
	SDK_PAY_UNIONPAY_CREDIT("SDK支付_银联_贷记卡"),
	SDK_PAY_UNIONPAY_DEBIT("SDK支付_银联_借记卡"),
	SDK_PAY_APPLEPAY_CREDIT("SDK支付_苹果支付_贷记卡"),
	SDK_PAY_APPLEPAY_DEBIT("SDK支付_苹果支付_借记卡"),
	BINDCARDPAY_DEBIT("绑卡支付_借记卡"),
	BINDCARDPAY_CREDIT("绑卡支付_贷记卡"),
	BINDCARDPAY_BINDCARD("绑卡支付_绑卡"),
	ONEKEYPAY_DEBIT("一键支付_借记卡"),
	ONEKEYPAY_CREDIT("一键支付_贷记卡"),
	ONEKEYPAY_DEBIT_CMBCHINA("一键支付_借记卡_招商银行"),
	ONEKEYPAY_DEBIT_BOCO("一键支付_借记卡_交通银行"),
	ONEKEYPAY_CREDIT_CMBCHINA("一键支付_贷记卡_招商银行"),
	ONEKEYPAY_CREDIT_BOCO("一键支付_贷记卡_交通银行"),
	E_BANK_B2B("网银支付_企业网银"),
	E_BANK_B2C("网银支付_个人网银"),
	BANKTRANSFERPAY("银行转账支付"),
	ENTERPRISE_ACCOUNT_PAY("企业账户支付"),
	T1("T1_自动结算"),
	D1("D1_自动结算"),
	T1_MANUAL("T1_自助结算"),
	D1_MANUAL("D1_自助结算"),
	ENTERPRISE_RECHARGE_STANDARD_B2B("企业账户充值标准版_网银B2B"),
	ENTERPRISE_RECHARGE_STANDARD_B2C("企业账户充值标准版_网银B2C"),
	ENTERPRISE_RECHARGE_STANDARD_BANK_TRASFER("企业账户充值标准版_银行汇款"),
	ENTERPRISE_WITHDRAW_STANDARD_REALTIME("企业账户提现标准版_实时到账"),
	ENTERPRISE_WITHDRAW_STANDARD_TWOHOURS("企业账户提现标准版_2小时到账"),
	ENTERPRISE_WITHDRAW_STANDARD_TOMORROW("企业账户提现标准版_次日到账"),
	ENTERPRISE_TRANSFER_B2B("企业账户转账_公对公"),
	ENTERPRISE_PAY_TWOHOURS("企业付款_2小时到账"),
	ENTERPRISE_PAY_REALTIME("企业付款_实时到账"),
	ENTERPRISE_PAY_TOMORROW("企业付款_次日到账"),

	;

	String text;
}
